aboutsummaryrefslogtreecommitdiff
path: root/net/mosquitto/files/etc/init.d
diff options
context:
space:
mode:
authorKarl Palsson <karlp@etactica.com>2016-03-03 13:41:49 +0000
committerKarl Palsson <karlp@etactica.com>2016-03-07 12:18:43 +0000
commit39ea72b18662c3b977af5c0c4ef428b4475cfb21 (patch)
tree629ac662b67ad8dfbf596707bc088ac63c465841 /net/mosquitto/files/etc/init.d
parenteb287ff3343cad3890ab5f17fd5f98da802c1144 (diff)
mosquitto: use mirrored files/ tree
Instead of manually copying files and renaming on install, use the nice clean "files/<mirror>" structure and just $(CP) them into place. Signed-off-by: Karl Palsson <karlp@etactica.com>
Diffstat (limited to 'net/mosquitto/files/etc/init.d')
-rwxr-xr-xnet/mosquitto/files/etc/init.d/mosquitto28
1 files changed, 28 insertions, 0 deletions
diff --git a/net/mosquitto/files/etc/init.d/mosquitto b/net/mosquitto/files/etc/init.d/mosquitto
new file mode 100755
index 000000000..2b3a93a7f
--- /dev/null
+++ b/net/mosquitto/files/etc/init.d/mosquitto
@@ -0,0 +1,28 @@
+#!/bin/sh /etc/rc.common
+# Basic init script for mosquitto
+# April 2012, OpenWrt.org
+# Provides support for the luci-app-mosquitto package, if installed
+
+START=80
+APP=`which mosquitto`
+USE_UCI_CONFIG=$(uci -q get mosquitto.owrt.use_uci)
+if [ $? -eq 1 ]; then
+ USE_UCI_CONFIG=0
+fi
+
+SERVICE_DAEMONIZE=1
+SERVICE_WRITE_PID=1
+
+start() {
+ if [ "$USE_UCI_CONFIG" -eq 1 ]; then
+ CONF=/tmp/mosquitto.converted.$$.conf
+ mosquitto.uci.convert -f $CONF
+ else
+ CONF=/etc/mosquitto/mosquitto.conf
+ fi
+ service_start $APP -c $CONF
+}
+
+stop() {
+ service_stop $APP
+}